Bug 45231 - Not all groups of user reports are shown
Not all groups of user reports are shown
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Reports
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks: 45241
  Show dependency treegraph
 
Reported: 2017-08-21 15:54 CEST by Florian Best
Modified: 2017-08-30 16:29 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.171
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Ticket number: 2017081721000473
Bug group (optional): Error handling, External feedback
Max CVSS v3 score:


Attachments
patch for UCS 4.1 (1.80 KB, patch)
2017-08-21 15:54 CEST, Florian Best
Details | Diff
patch (UCS 4.2-1) (3.44 KB, patch)
2017-08-21 15:57 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2017-08-21 15:54:11 CEST
Created attachment 9130 [details]
patch for UCS 4.1

The user report lists all groups of a user. But only if they match the regex "^[^(s\-)([a\-)(i\-)(h\-)]".

So groups starting with s, a, i, h and - aren't shown.
Code exists since the initial import into SVN (r1774).
Comment 1 Florian Best univentionstaff 2017-08-21 15:57:31 CEST
Created attachment 9131 [details]
patch (UCS 4.2-1)
Comment 2 Florian Best univentionstaff 2017-08-22 11:47:02 CEST
Patch has been applied.

univention-directory-reports (9.0.1-4):
r82397 | Bug #45231: all groups are shown in PDF user reports

univention-directory-reports.yaml:
r82398 | YAML Bug #45231
Comment 3 Johannes Keiser univentionstaff 2017-08-22 14:28:57 CEST
Groups can only start with letters or numbers.
Tested with:
for i in {a..z}-test {0..9}-test {A..Z}--test; do udm groups/group create --set name="$i" --set users="uid=a,cn=users,dc=mydomain,dc=intranet"; done

Before patch:
Groups starting with (lower case) s, a, i and h are not shown in Standard Report (PDF)
After patch:
OK Groups starting with (lower case) s, a, i and h are shown in Standard Report (PDF)

(CSV Report not affected)

YAML: OK
-> verified
Comment 4 Arvid Requate univentionstaff 2017-08-30 16:29:45 CEST
<http://errata.software-univention.de/ucs/4.2/147.html>